import './patchAnalytics';
import initTcfTracking from './tcf';
import analytics from './segmentWrapper';
import { defaultContextProperties } from './middlewares/source/defaultContextProperties.js';
import { userScreenInfo } from './middlewares/source/userScreenInfo.js';
/* Initialize TCF Tracking with Segment */

initTcfTracking();
/* Use source middlewares to add functionality */

if (typeof window !== 'undefined' && window.analytics) {
  window.analytics.ready(function () {
    window.analytics.addSourceMiddleware(defaultContextProperties);
    window.analytics.addSourceMiddleware(userScreenInfo);
  });
}

export default analytics;
export { getAdobeVisitorData, getAdobeMCVisitorID } from './adobeRepository.js';